<div>
  <div class="vispa-view-nav">
    <nav-root>
      <nav-item
        v-for="ws in workspaces | orderBy 'id'"
        :key="ws.serverConfig.name"
        :title="ws.serverConfig.name"
        >
      </nav-item>
    </nav-root>
    <button role="button" class="btn btn-sm btn-primary" @click="showAdd" v-if="canAdd">
      <i class="fa fa-plus"></i>
      <span>Add</span>
    </button>
  </div>
  <div class="vispa-view-content">
    <workspace
      v-for="ws in workspaces | orderBy 'id'"
      :config="ws.config"
      :server-config="ws.serverConfig"
      :state="ws.state"
      ></workspace>
    <div class="spacer"></div>
  </div>
</div>
